package com.ruoyi.kyTask.service;

import java.util.List;
import com.ruoyi.kyTask.domain.KyTaskInfo;

/**
 * 科研任务Service接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public interface IKyTaskInfoService 
{
    /**
     * 查询科研任务
     * 
     * @param key 科研任务主键
     * @return 科研任务
     */
    public KyTaskInfo selectKyTaskInfoByKey(Long key);

    /**
     * 查询科研任务列表
     * 
     * @param kyTaskInfo 科研任务
     * @return 科研任务集合
     */
    public List<KyTaskInfo> selectKyTaskInfoList(KyTaskInfo kyTaskInfo);

    /**
     * 新增科研任务
     * 
     * @param kyTaskInfo 科研任务
     * @return 结果
     */
    public int insertKyTaskInfo(KyTaskInfo kyTaskInfo);

    /**
     * 修改科研任务
     * 
     * @param kyTaskInfo 科研任务
     * @return 结果
     */
    public int updateKyTaskInfo(KyTaskInfo kyTaskInfo);

    /**
     * 批量删除科研任务
     * 
     * @param keys 需要删除的科研任务主键集合
     * @return 结果
     */
    public int deleteKyTaskInfoByKeys(Long[] keys);

    /**
     * 删除科研任务信息
     * 
     * @param key 科研任务主键
     * @return 结果
     */
    public int deleteKyTaskInfoByKey(Long key);

    int getTaskCount();

    /**
     * 查找偏移量范围内的科研任务
     *
     * @param beginOffset 开始偏移量
     * @param size 数量
     * @return 结果
     */
    List<KyTaskInfo> selectKyTaskInfoListByRange(int beginOffset, int size);
}
